<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 2) {
    $pagetitle = "2oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'<div id="templatemo_menu">
        <ul>
           <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
           <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li> 
          <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
<?php


echo "<h1>Αλλαγή Υπηρεσίας</h1>\n";

require_once('../../login/mysqli_connect.php');
    
$errors = array();

    if (isset($_GET['id']))  {
        $stid = $_GET['id'];
       
    } elseif (isset($_POST['id'])){
        $stid = $_POST['id'];
    } else {
        echo '<p class="error">This page has been accessed in error1.</p>';
        include('../../divs/footer.php');
        exit();
    }
 if (isset($_GET['yp'])) {
     $ypid= $_GET['yp'];
 }
        if (isset($_GET['dateyp']))  {
        $hm_old = $_GET['dateyp'];
    } elseif (isset($_POST['dateyp'])) {
        $hm = $_POST['dateyp'];
        $hm_old=$_POST['day_old'];
     
    } else {
        echo '<p class="error">This page has been accessed in error2.</p>';
        include('../../divs/footer.php');
        exit();
    }
    
if (isset($_POST['submitted'])) {


   if (empty($_POST['id'])) {
        $errors[] = 'Ξεχάσατε το ID Στελέχους.';
    } else {
        $stid = mysqli_real_escape_string($dbc, ($_POST['id']));
    }
   
    
    if (empty($_POST['yp'])) {
        $errors[] = 'Ξεχάσατε το ID Υπηρεσίας.';
    } else {
        $ypid = mysqli_real_escape_string($dbc,($_POST['yp']));
        }
    
    if (empty($_POST['dateyp'])) {
        $errors[] = 'Ξεχάσατε την ημερομηνία υπηρεσίας.';
    } else {
        $hm = mysqli_real_escape_string($dbc, ($_POST['dateyp']));
    }

    
    if (empty($errors)) {
 
            
        $q = "UPDATE ekteleshyphresivn
                  SET DateofExecution='$hm'
                  WHERE Stid='$stid' AND Ypid='$ypid' AND dateofExecution='$hm_old'";
            $r = mysqli_query($dbc, $q);
            

            if (mysqli_affected_rows($dbc) == 1) {
                echo '<p>Οι αλλαγές στην υπηρεσία καταχωρήθηκαν.</p>';
            } else {
                echo '<p class="error">Η Υπηρεσία δεν μπόρεσε να καταχωρηθεί λόγω λάθους συστήματος.
                    μας συγχωρείτε!
                    </p>';
               
            }
 
    } else {
        echo '<p class="error">The following error(s) occured:<br>';
        foreach ($errors as $msg) {
            echo " - $msg<br>\n";
        }
        echo '</p><p>Please try again.</p>';
    }
}
if (isset($_POST['dateyp'])) { 
    $hm_old=$hm;
$q = "SELECT Stid, Ypid, DateofExecution from ekteleshyphresivn WHERE stid=? AND DateofExecution=? AND Ypid=?";
$stmt = mysqli_prepare($dbc, $q);
mysqli_stmt_bind_param($stmt, 'isi', $stid, $hm_old, $ypid);
mysqli_stmt_execute($stmt);
mysqli_stmt_store_result($stmt);

if (mysqli_stmt_num_rows($stmt) == 1) {
    mysqli_stmt_bind_result($stmt, $stid, $ypid, $hm_old);
    mysqli_stmt_fetch($stmt);
    mysqli_stmt_close($stmt);
} else {
print_r($stmt);
    echo '<p class="error">This page has been accessed in error dbc.</p>';
    mysqli_close($dbc);
    include('../../divs/footer.php');
    exit();
}
}
?>
    <form action="allagi_yphresias.php" method="post">
 
    <p>ID Στελέχους: <?php echo $stid; ?>
    </p>
     <p>ID Υπηρεσίας: <?php echo $ypid; ; ?>
    </p>
    
    <p>Ημερομ. Υπηρεσίας: 
        <input type="text" name="dateyp" size="15"
               maxlength="40"
                              value="<?php echo $hm_old; ?>">
    </p>
        
    <p><input type="submit" name="submit" value="Υποβολή"></p>
    <input type="hidden" name="submitted" value="TRUE">
    <input type="hidden" name="id" value="<?php echo $stid; ?>"></input>
    <input type="hidden" name="yp" value="<?php echo $ypid; ?>"></input>
    <input type="hidden" name="day_old" value="<?php echo $hm_old; ?>"></input>
</form>


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>